# Interface ITableRowOptions

interface ITableRowOptions {
cantSplit?: boolean;
children: readonly TableCell[];
height?: {
rule: "auto" | "atLeast" | "exact";
value:
| number
| `${number}mm`
| `${number}cm`
| `${number}in`
| `${number}pt`
| `${number}pc`
| `${number}pi`;
};
tableHeader?: boolean;
}

#### Hierarchy (view full)

- ITableRowPropertiesOptions
  - ITableRowOptions

- Defined in file/table/table-row/table-row.ts:5

#####
Index

### Properties

cantSplit?
children
height?
tableHeader?

##
Properties

### `Optional` `Readonly` cantSplit

cantSplit?: boolean

Inherited from ITableRowPropertiesOptions.cantSplit

- Defined in file/table/table-row/table-row-properties.ts:36

### `Readonly` children

children: readonly TableCell[]

- Defined in file/table/table-row/table-row.ts:6

### `Optional` `Readonly` height

height?: {
rule: "auto" | "atLeast" | "exact";
value:
| number
| `${number}mm`
| `${number}cm`
| `${number}in`
| `${number}pt`
| `${number}pc`
| `${number}pi`;
}

Inherited from ITableRowPropertiesOptions.height

- Defined in file/table/table-row/table-row-properties.ts:38

### `Optional` `Readonly` tableHeader

tableHeader?: boolean

Inherited from ITableRowPropertiesOptions.tableHeader

- Defined in file/table/table-row/table-row-properties.ts:37